NewWacht Bench is live — AI-assisted development for Wacht

Get User

GET
/me

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/me"
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "first_name": "string",
    "last_name": "string",
    "username": "string",
    "availability": "available\" | \"busy\" | \"away",
    "has_profile_picture": "string",
    "profile_picture_url": "string",
    "primary_email_address_id": "string",
    "primary_phone_number_id": "string",
    "primary_email_address": {
      "id": "string",
      "email": "string",
      "is_primary": true,
      "verified": true,
      "verified_at": "string",
      "verification_strategy": "otp"
    },
    "primary_phone_number": {
      "id": "string",
      "phone_number": "string",
      "country_code": "string",
      "verified": true,
      "verified_at": "string"
    },
    "second_factor_policy": "none",
    "user_email_addresses": [
      {
        "id": "string",
        "email": "string",
        "is_primary": true,
        "verified": true,
        "verified_at": "string",
        "verification_strategy": "otp"
      }
    ],
    "user_phone_numbers": [
      {
        "id": "string",
        "phone_number": "string",
        "country_code": "string",
        "verified": true,
        "verified_at": "string"
      }
    ],
    "email_addresses": [
      {
        "id": "string",
        "email": "string",
        "is_primary": true,
        "verified": true,
        "verified_at": "string",
        "verification_strategy": "otp"
      }
    ],
    "phone_numbers": [
      {
        "id": "string",
        "phone_number": "string",
        "country_code": "string",
        "verified": true,
        "verified_at": "string"
      }
    ],
    "social_connections": [
      {
        "id": "string",
        "provider": "x_oauth",
        "email_address": "string",
        "first_name": "string",
        "last_name": "string"
      }
    ],
    "user_authenticator": {
      "id": "string",
      "created_at": "string",
      "totp_secret": "string",
      "otp_url": "string"
    },
    "authenticators": [
      {
        "id": "string",
        "created_at": "string",
        "totp_secret": "string",
        "otp_url": "string"
      }
    ],
    "backup_codes_generated": true,
    "backup_codes": [
      "string"
    ],
    "has_password": true,
    "has_passkeys": true,
    "public_metadata": {
      "property1": null,
      "property2": null
    },
    "segments": [
      {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "deployment_id": "string",
        "name": "string",
        "type": "user"
      }
    ]
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}